org.apache.ignite.internal.cache.query.index.sorted.defragmentation

## Class DefragIndexFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.InlineIndexFactory
  - - org.apache.ignite.internal.cache.query.index.sorted.defragmentation.DefragIndexFactory

All Implemented Interfaces:
  IndexFactory

    public class DefragIndexFactory
    extends InlineIndexFactory

Creates temporary index to defragment old index.

### Nested Class Summary

Nested Classes
`static class` `DefragIndexFactory.DefragIndexRowImpl` IndexRowImpl with index values stored in a byte array.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.InlineIndexFactory

`INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefragIndexFactory(IgniteCacheOffheapManager offheap, PageMemory newCachePageMemory, InlineIndex oldIdx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected InlineIndexTree` `createIndexSegment(GridCacheContext<?,?> cctx, SortedIndexDefinition def, RootPage rootPage, IoStatisticsHolder stats, InlineRecommender recommender, int segmentNum)`
`protected RootPage` `rootPage(GridCacheContext<?,?> ctx, String treeName, int segment)`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.InlineIndexFactory

`createIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefragIndexFactory

    public DefragIndexFactory(IgniteCacheOffheapManager offheap,
                              PageMemory newCachePageMemory,
                              InlineIndex oldIdx)

### Method Detail

#### createIndexSegment

    protected InlineIndexTree createIndexSegment(GridCacheContext<?,?> cctx,
                                                 SortedIndexDefinition def,
                                                 RootPage rootPage,
                                                 IoStatisticsHolder stats,
                                                 InlineRecommender recommender,
                                                 int segmentNum)
                                          throws Exception

Overrides:
  `createIndexSegment` in class `InlineIndexFactory`
Throws:
  `Exception`

#### rootPage

    protected RootPage rootPage(GridCacheContext<?,?> ctx,
                                String treeName,
                                int segment)
                         throws Exception

Overrides:
  `rootPage` in class `InlineIndexFactory`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023